Skip to main content
GET
/
hooks
/
{hookId}
/
runs
cURL
curl --request GET \
  --url https://api.cradl.ai/{basePath}/hooks/{hookId}/runs \
  --header 'Authorization: Bearer <token>'
{
  "nextToken": "<string>",
  "runs": [
    {
      "updatedTime": "<string>",
      "metadata": {},
      "updatedBy": "<string>",
      "description": "<string>",
      "createdBy": "<string>",
      "hookId": "<string>",
      "name": "<string>",
      "createdTime": "<string>",
      "runId": "<string>",
      "warnings": [
        "<string>"
      ],
      "history": [
        {}
      ],
      "agentRunId": "<string>",
      "output": {},
      "input": {},
      "actionId": "<string>",
      "logId": "<string>",
      "id": "<string>",
      "errors": [
        "<string>"
      ],
      "status": "failed"
    }
  ],
  "status": [
    "failed"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

hookId
string
required

Query Parameters

status
string
nextToken
string
maxResults
string

Response

200 response

nextToken
string | null
required
Maximum string length: 4096
runs
object[]
required
status
enum<string>[]
Available options:
failed,
ignored,
running,
succeeded